

*********************************************************************************
**  Coding Weeks for Oprah Show Books for oprahbooks.dta and oprah_spillover.dta
*********************************************************************************

use oprahbooks.dta, clear

* Set panel data
egen booknumber=group(book)
xtset i.booknumber i.weeknumber

* Generate 52 week of the effects
xi i.week

gen _Oprahneg8=book=="HYMAN" & weeknumber==2
replace _Oprahneg8=1 if book=="OUKFIR" & weeknumber==12
replace _Oprahneg8=1 if book=="TADEMY" & weeknumber==17
replace _Oprahneg8=1 if book=="MCDONALD" & weeknumber==48
replace _Oprahneg8=1 if book=="MORRISON" & weeknumber==58
replace _Oprahneg8=1 if book=="STEINBECK" & weeknumber==121
replace _Oprahneg8=1 if book=="PATON" & weeknumber==136
replace _Oprahneg8=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==152
replace _Oprahneg8=1 if book=="MCCULLERS" & weeknumber==165
replace _Oprahneg8=1 if book=="TOLSTOY" & weeknumber==171
replace _Oprahneg8=1 if book=="BUCK" & weeknumber==186
replace _Oprahneg8=1 if book=="FAULKNER" & weeknumber==223
replace _Oprahneg8=1 if book=="FREY" & weeknumber==239
replace _Oprahneg8=1 if book=="WEISEL" & weeknumber==256
replace _Oprahneg8=1 if book=="POITIER" & weeknumber==309
replace _Oprahneg8=1 if book=="MCCARTHY" & weeknumber==318 
replace _Oprahneg8=1 if book=="EUGENIDES" & weeknumber==328 
replace _Oprahneg8=1 if book=="MARQUEZ_CHOLERA" & weeknumber==345 
replace _Oprahneg8=1 if book=="FOLLETT" & weeknumber==351
replace _Oprahneg8=1 if book=="TOLLE" & weeknumber==362 
replace _Oprahneg8=1 if book=="WROB" & weeknumber==395
replace _Oprahneg8=1 if book=="APKAN" & weeknumber==447 
replace _Oprahneg8=1 if book=="DICKENS" & weeknumber==511			
			  
		
gen _Oprahneg7=book=="HYMAN" & weeknumber==3
replace _Oprahneg7=1 if book=="OUKFIR" & weeknumber==13
replace _Oprahneg7=1 if book=="TADEMY" & weeknumber==18
replace _Oprahneg7=1 if book=="MCDONALD" & weeknumber==49
replace _Oprahneg7=1 if book=="MORRISON" & weeknumber==59
replace _Oprahneg7=1 if book=="STEINBECK" & weeknumber==122
replace _Oprahneg7=1 if book=="PATON" & weeknumber==137
replace _Oprahneg7=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==153
replace _Oprahneg7=1 if book=="MCCULLERS" & weeknumber==166
replace _Oprahneg7=1 if book=="TOLSTOY" & weeknumber==172
replace _Oprahneg7=1 if book=="BUCK" & weeknumber==187
replace _Oprahneg7=1 if book=="FAULKNER" & weeknumber==224
replace _Oprahneg7=1 if book=="FREY" & weeknumber==240
replace _Oprahneg7=1 if book=="WEISEL" & weeknumber==257
replace _Oprahneg7=1 if book=="POITIER" & weeknumber==310
replace _Oprahneg7=1 if book=="MCCARTHY" & weeknumber==319 
replace _Oprahneg7=1 if book=="EUGENIDES" & weeknumber==329
replace _Oprahneg7=1 if book=="MARQUEZ_CHOLERA" & weeknumber==346
replace _Oprahneg7=1 if book=="FOLLETT" & weeknumber==352
replace _Oprahneg7=1 if book=="TOLLE" & weeknumber==363
replace _Oprahneg7=1 if book=="WROB" & weeknumber==396
replace _Oprahneg7=1 if book=="APKAN" & weeknumber==448
replace _Oprahneg7=1 if book=="DICKENS" & weeknumber==512	

gen _Oprahneg6=book=="HYMAN" & weeknumber==4
replace _Oprahneg6=1 if book=="OUKFIR" & weeknumber==14
replace _Oprahneg6=1 if book=="TADEMY" & weeknumber==19
replace _Oprahneg6=1 if book=="MCDONALD" & weeknumber==50
replace _Oprahneg6=1 if book=="MORRISON" & weeknumber==60
replace _Oprahneg6=1 if book=="STEINBECK" & weeknumber==123
replace _Oprahneg6=1 if book=="PATON" & weeknumber==138
replace _Oprahneg6=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==154
replace _Oprahneg6=1 if book=="MCCULLERS" & weeknumber==167
replace _Oprahneg6=1 if book=="TOLSTOY" & weeknumber==173
replace _Oprahneg6=1 if book=="BUCK" & weeknumber==188
replace _Oprahneg6=1 if book=="FAULKNER" & weeknumber==225
replace _Oprahneg6=1 if book=="FREY" & weeknumber==241
replace _Oprahneg6=1 if book=="WEISEL" & weeknumber==258
replace _Oprahneg6=1 if book=="POITIER" & weeknumber==311
replace _Oprahneg6=1 if book=="MCCARTHY" & weeknumber==320 
replace _Oprahneg6=1 if book=="EUGENIDES" & weeknumber==330
replace _Oprahneg6=1 if book=="MARQUEZ_CHOLERA" & weeknumber==347
replace _Oprahneg6=1 if book=="FOLLETT" & weeknumber==353
replace _Oprahneg6=1 if book=="TOLLE" & weeknumber==364
replace _Oprahneg6=1 if book=="WROB" & weeknumber==397
replace _Oprahneg6=1 if book=="APKAN" & weeknumber==449
replace _Oprahneg6=1 if book=="DICKENS" & weeknumber==513		


gen _Oprahneg5=book=="HYMAN" & weeknumber==5
replace _Oprahneg5=1 if book=="OUKFIR" & weeknumber==15
replace _Oprahneg5=1 if book=="TADEMY" & weeknumber==20
replace _Oprahneg5=1 if book=="MCDONALD" & weeknumber==51
replace _Oprahneg5=1 if book=="MORRISON" & weeknumber==61
replace _Oprahneg5=1 if book=="STEINBECK" & weeknumber==124
replace _Oprahneg5=1 if book=="PATON" & weeknumber==139
replace _Oprahneg5=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==155
replace _Oprahneg5=1 if book=="MCCULLERS" & weeknumber==168
replace _Oprahneg5=1 if book=="TOLSTOY" & weeknumber==174
replace _Oprahneg5=1 if book=="BUCK" & weeknumber==189
replace _Oprahneg5=1 if book=="FAULKNER" & weeknumber==226
replace _Oprahneg5=1 if book=="FREY" & weeknumber==242
replace _Oprahneg5=1 if book=="WEISEL" & weeknumber==259
replace _Oprahneg5=1 if book=="POITIER" & weeknumber==312
replace _Oprahneg5=1 if book=="MCCARTHY" & weeknumber==321
replace _Oprahneg5=1 if book=="EUGENIDES" & weeknumber==331
replace _Oprahneg5=1 if book=="MARQUEZ_CHOLERA" & weeknumber==348
replace _Oprahneg5=1 if book=="FOLLETT" & weeknumber==354
replace _Oprahneg5=1 if book=="TOLLE" & weeknumber==365
replace _Oprahneg5=1 if book=="WROB" & weeknumber==398
replace _Oprahneg5=1 if book=="APKAN" & weeknumber==450
replace _Oprahneg5=1 if book=="DICKENS" & weeknumber==514
			
gen _Oprahneg4=book=="HYMAN" & weeknumber==6
replace _Oprahneg4=1 if book=="OUKFIR" & weeknumber==16
replace _Oprahneg4=1 if book=="TADEMY" & weeknumber==21
replace _Oprahneg4=1 if book=="MCDONALD" & weeknumber==52
replace _Oprahneg4=1 if book=="MORRISON" & weeknumber==62
replace _Oprahneg4=1 if book=="STEINBECK" & weeknumber==125
replace _Oprahneg4=1 if book=="PATON" & weeknumber==140
replace _Oprahneg4=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==156
replace _Oprahneg4=1 if book=="MCCULLERS" & weeknumber==169
replace _Oprahneg4=1 if book=="TOLSTOY" & weeknumber==175
replace _Oprahneg4=1 if book=="BUCK" & weeknumber==190
replace _Oprahneg4=1 if book=="FAULKNER" & weeknumber==227
replace _Oprahneg4=1 if book=="FREY" & weeknumber==243
replace _Oprahneg4=1 if book=="WEISEL" & weeknumber==260
replace _Oprahneg4=1 if book=="POITIER" & weeknumber==313
replace _Oprahneg4=1 if book=="MCCARTHY" & weeknumber==322
replace _Oprahneg4=1 if book=="EUGENIDES" & weeknumber==332
replace _Oprahneg4=1 if book=="MARQUEZ_CHOLERA" & weeknumber==349
replace _Oprahneg4=1 if book=="FOLLETT" & weeknumber==355
replace _Oprahneg4=1 if book=="TOLLE" & weeknumber==366
replace _Oprahneg4=1 if book=="WROB" & weeknumber==399
replace _Oprahneg4=1 if book=="APKAN" & weeknumber==451
replace _Oprahneg4=1 if book=="DICKENS" & weeknumber==515
			  
gen _Oprahneg3=book=="HYMAN" & weeknumber==7
replace _Oprahneg3=1 if book=="OUKFIR" & weeknumber==17
replace _Oprahneg3=1 if book=="TADEMY" & weeknumber==22
replace _Oprahneg3=1 if book=="MCDONALD" & weeknumber==53
replace _Oprahneg3=1 if book=="MORRISON" & weeknumber==63
replace _Oprahneg3=1 if book=="STEINBECK" & weeknumber==126
replace _Oprahneg3=1 if book=="PATON" & weeknumber==141
replace _Oprahneg3=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==157
replace _Oprahneg3=1 if book=="MCCULLERS" & weeknumber==170
replace _Oprahneg3=1 if book=="TOLSTOY" & weeknumber==176
replace _Oprahneg3=1 if book=="BUCK" & weeknumber==191
replace _Oprahneg3=1 if book=="FAULKNER" & weeknumber==228
replace _Oprahneg3=1 if book=="FREY" & weeknumber==244
replace _Oprahneg3=1 if book=="WEISEL" & weeknumber==261
replace _Oprahneg3=1 if book=="POITIER" & weeknumber==314
replace _Oprahneg3=1 if book=="MCCARTHY" & weeknumber==323
replace _Oprahneg3=1 if book=="EUGENIDES" & weeknumber==333
replace _Oprahneg3=1 if book=="MARQUEZ_CHOLERA" & weeknumber==350
replace _Oprahneg3=1 if book=="FOLLETT" & weeknumber==356
replace _Oprahneg3=1 if book=="TOLLE" & weeknumber==367
replace _Oprahneg3=1 if book=="WROB" & weeknumber==400
replace _Oprahneg3=1 if book=="APKAN" & weeknumber==452
replace _Oprahneg3=1 if book=="DICKENS" & weeknumber==516

gen _Oprahneg2=book=="HYMAN" & weeknumber==8
replace _Oprahneg2=1 if book=="OUKFIR" & weeknumber==18
replace _Oprahneg2=1 if book=="TADEMY" & weeknumber==23
replace _Oprahneg2=1 if book=="MCDONALD" & weeknumber==54
replace _Oprahneg2=1 if book=="MORRISON" & weeknumber==64
replace _Oprahneg2=1 if book=="STEINBECK" & weeknumber==127
replace _Oprahneg2=1 if book=="PATON" & weeknumber==142
replace _Oprahneg2=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==158
replace _Oprahneg2=1 if book=="MCCULLERS" & weeknumber==171
replace _Oprahneg2=1 if book=="TOLSTOY" & weeknumber==177
replace _Oprahneg2=1 if book=="BUCK" & weeknumber==192
replace _Oprahneg2=1 if book=="FAULKNER" & weeknumber==229
replace _Oprahneg2=1 if book=="FREY" & weeknumber==245
replace _Oprahneg2=1 if book=="WEISEL" & weeknumber==262
replace _Oprahneg2=1 if book=="POITIER" & weeknumber==315
replace _Oprahneg2=1 if book=="MCCARTHY" & weeknumber==324
replace _Oprahneg2=1 if book=="EUGENIDES" & weeknumber==334
replace _Oprahneg2=1 if book=="MARQUEZ_CHOLERA" & weeknumber==351
replace _Oprahneg2=1 if book=="FOLLETT" & weeknumber==357
replace _Oprahneg2=1 if book=="TOLLE" & weeknumber==368
replace _Oprahneg2=1 if book=="WROB" & weeknumber==401
replace _Oprahneg2=1 if book=="APKAN" & weeknumber==453
replace _Oprahneg2=1 if book=="DICKENS" & weeknumber==517

gen _Oprahneg1=book=="HYMAN" & weeknumber==9
replace _Oprahneg1=1 if book=="OUKFIR" & weeknumber==19
replace _Oprahneg1=1 if book=="TADEMY" & weeknumber==24
replace _Oprahneg1=1 if book=="MCDONALD" & weeknumber==55
replace _Oprahneg1=1 if book=="MORRISON" & weeknumber==65
replace _Oprahneg1=1 if book=="STEINBECK" & weeknumber==128
replace _Oprahneg1=1 if book=="PATON" & weeknumber==143
replace _Oprahneg1=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==159
replace _Oprahneg1=1 if book=="MCCULLERS" & weeknumber==172
replace _Oprahneg1=1 if book=="TOLSTOY" & weeknumber==178
replace _Oprahneg1=1 if book=="BUCK" & weeknumber==193
replace _Oprahneg1=1 if book=="FAULKNER" & weeknumber==230
replace _Oprahneg1=1 if book=="FREY" & weeknumber==246
replace _Oprahneg1=1 if book=="WEISEL" & weeknumber==263
replace _Oprahneg1=1 if book=="POITIER" & weeknumber==316
replace _Oprahneg1=1 if book=="MCCARTHY" & weeknumber==325
replace _Oprahneg1=1 if book=="EUGENIDES" & weeknumber==335
replace _Oprahneg1=1 if book=="MARQUEZ_CHOLERA" & weeknumber==352
replace _Oprahneg1=1 if book=="FOLLETT" & weeknumber==358
replace _Oprahneg1=1 if book=="TOLLE" & weeknumber==369
replace _Oprahneg1=1 if book=="WROB" & weeknumber==402
replace _Oprahneg1=1 if book=="APKAN" & weeknumber==454
replace _Oprahneg1=1 if book=="DICKENS" & weeknumber==518



gen _Oprahmid=book=="HYMAN" & weeknumber==10
replace _Oprahmid=1 if book=="OUKFIR" & weeknumber==20
replace _Oprahmid=1 if book=="TADEMY" & weeknumber==25
replace _Oprahmid=1 if book=="MCDONALD" & weeknumber==56
replace _Oprahmid=1 if book=="MORRISON" & weeknumber==66
replace _Oprahmid=1 if book=="STEINBECK" & weeknumber==129
replace _Oprahmid=1 if book=="PATON" & weeknumber==144
replace _Oprahmid=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==160
replace _Oprahmid=1 if book=="MCCULLERS" & weeknumber==173
replace _Oprahmid=1 if book=="TOLSTOY" & weeknumber==179
replace _Oprahmid=1 if book=="BUCK" & weeknumber==194
replace _Oprahmid=1 if book=="FAULKNER" & weeknumber==231
replace _Oprahmid=1 if book=="FREY" & weeknumber==247
replace _Oprahmid=1 if book=="WEISEL" & weeknumber==264
replace _Oprahmid=1 if book=="POITIER" & weeknumber==317
replace _Oprahmid=1 if book=="MCCARTHY" & weeknumber==326
replace _Oprahmid=1 if book=="EUGENIDES" & weeknumber==336
replace _Oprahmid=1 if book=="MARQUEZ_CHOLERA" & weeknumber==353
replace _Oprahmid=1 if book=="FOLLETT" & weeknumber==359
replace _Oprahmid=1 if book=="TOLLE" & weeknumber==370
replace _Oprahmid=1 if book=="WROB" & weeknumber==403
replace _Oprahmid=1 if book=="APKAN" & weeknumber==455
replace _Oprahmid=1 if book=="DICKENS" & weeknumber==519


gen _Oprahpos1=book=="HYMAN" & weeknumber==11
replace _Oprahpos1=1 if book=="OUKFIR" & weeknumber==21
replace _Oprahpos1=1 if book=="TADEMY" & weeknumber==26
replace _Oprahpos1=1 if book=="MCDONALD" & weeknumber==57
replace _Oprahpos1=1 if book=="MORRISON" & weeknumber==67
replace _Oprahpos1=1 if book=="STEINBECK" & weeknumber==130
replace _Oprahpos1=1 if book=="PATON" & weeknumber==145
replace _Oprahpos1=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==161
replace _Oprahpos1=1 if book=="MCCULLERS" & weeknumber==174
replace _Oprahpos1=1 if book=="TOLSTOY" & weeknumber==180
replace _Oprahpos1=1 if book=="BUCK" & weeknumber==195
replace _Oprahpos1=1 if book=="FAULKNER" & weeknumber==232
replace _Oprahpos1=1 if book=="FREY" & weeknumber==248
replace _Oprahpos1=1 if book=="WEISEL" & weeknumber==265
replace _Oprahpos1=1 if book=="POITIER" & weeknumber==318
replace _Oprahpos1=1 if book=="MCCARTHY" & weeknumber==327
replace _Oprahpos1=1 if book=="EUGENIDES" & weeknumber==337
replace _Oprahpos1=1 if book=="MARQUEZ_CHOLERA" & weeknumber==354
replace _Oprahpos1=1 if book=="FOLLETT" & weeknumber==360
replace _Oprahpos1=1 if book=="TOLLE" & weeknumber==371
replace _Oprahpos1=1 if book=="WROB" & weeknumber==404
replace _Oprahpos1=1 if book=="APKAN" & weeknumber==456
replace _Oprahpos1=1 if book=="DICKENS" & weeknumber==520


gen _Oprahpos2=book=="HYMAN" & weeknumber==12
replace _Oprahpos2=1 if book=="OUKFIR" & weeknumber==22
replace _Oprahpos2=1 if book=="TADEMY" & weeknumber==27
replace _Oprahpos2=1 if book=="MCDONALD" & weeknumber==58
replace _Oprahpos2=1 if book=="MORRISON" & weeknumber==68
replace _Oprahpos2=1 if book=="STEINBECK" & weeknumber==131
replace _Oprahpos2=1 if book=="PATON" & weeknumber==146
replace _Oprahpos2=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==162
replace _Oprahpos2=1 if book=="MCCULLERS" & weeknumber==175
replace _Oprahpos2=1 if book=="TOLSTOY" & weeknumber==181
replace _Oprahpos2=1 if book=="BUCK" & weeknumber==196
replace _Oprahpos2=1 if book=="FAULKNER" & weeknumber==233
replace _Oprahpos2=1 if book=="FREY" & weeknumber==249
replace _Oprahpos2=1 if book=="WEISEL" & weeknumber==266
replace _Oprahpos2=1 if book=="POITIER" & weeknumber==319
replace _Oprahpos2=1 if book=="MCCARTHY" & weeknumber==328
replace _Oprahpos2=1 if book=="EUGENIDES" & weeknumber==338
replace _Oprahpos2=1 if book=="MARQUEZ_CHOLERA" & weeknumber==355
replace _Oprahpos2=1 if book=="FOLLETT" & weeknumber==361
replace _Oprahpos2=1 if book=="TOLLE" & weeknumber==372
replace _Oprahpos2=1 if book=="WROB" & weeknumber==405
replace _Oprahpos2=1 if book=="APKAN" & weeknumber==457
replace _Oprahpos2=1 if book=="DICKENS" & weeknumber==521


gen _Oprahpos3=book=="HYMAN" & weeknumber==13
replace _Oprahpos3=1 if book=="OUKFIR" & weeknumber==23
replace _Oprahpos3=1 if book=="TADEMY" & weeknumber==28
replace _Oprahpos3=1 if book=="MCDONALD" & weeknumber==59
replace _Oprahpos3=1 if book=="MORRISON" & weeknumber==69
replace _Oprahpos3=1 if book=="STEINBECK" & weeknumber==132
replace _Oprahpos3=1 if book=="PATON" & weeknumber==147
replace _Oprahpos3=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==163
replace _Oprahpos3=1 if book=="MCCULLERS" & weeknumber==176
replace _Oprahpos3=1 if book=="TOLSTOY" & weeknumber==182
replace _Oprahpos3=1 if book=="BUCK" & weeknumber==197
replace _Oprahpos3=1 if book=="FAULKNER" & weeknumber==234
replace _Oprahpos3=1 if book=="FREY" & weeknumber==250
replace _Oprahpos3=1 if book=="WEISEL" & weeknumber==267
replace _Oprahpos3=1 if book=="POITIER" & weeknumber==320
replace _Oprahpos3=1 if book=="MCCARTHY" & weeknumber==329
replace _Oprahpos3=1 if book=="EUGENIDES" & weeknumber==339
replace _Oprahpos3=1 if book=="MARQUEZ_CHOLERA" & weeknumber==356
replace _Oprahpos3=1 if book=="FOLLETT" & weeknumber==362
replace _Oprahpos3=1 if book=="TOLLE" & weeknumber==373
replace _Oprahpos3=1 if book=="WROB" & weeknumber==406
replace _Oprahpos3=1 if book=="APKAN" & weeknumber==458
replace _Oprahpos3=1 if book=="DICKENS" & weeknumber==522


gen _Oprahpos4=book=="HYMAN" & weeknumber==14
replace _Oprahpos4=1 if book=="OUKFIR" & weeknumber==24
replace _Oprahpos4=1 if book=="TADEMY" & weeknumber==29
replace _Oprahpos4=1 if book=="MCDONALD" & weeknumber==60
replace _Oprahpos4=1 if book=="MORRISON" & weeknumber==70
replace _Oprahpos4=1 if book=="STEINBECK" & weeknumber==133
replace _Oprahpos4=1 if book=="PATON" & weeknumber==148
replace _Oprahpos4=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==164
replace _Oprahpos4=1 if book=="MCCULLERS" & weeknumber==177
replace _Oprahpos4=1 if book=="TOLSTOY" & weeknumber==183
replace _Oprahpos4=1 if book=="BUCK" & weeknumber==198
replace _Oprahpos4=1 if book=="FAULKNER" & weeknumber==235
replace _Oprahpos4=1 if book=="FREY" & weeknumber==251
replace _Oprahpos4=1 if book=="WEISEL" & weeknumber==268
replace _Oprahpos4=1 if book=="POITIER" & weeknumber==321
replace _Oprahpos4=1 if book=="MCCARTHY" & weeknumber==330
replace _Oprahpos4=1 if book=="EUGENIDES" & weeknumber==340
replace _Oprahpos4=1 if book=="MARQUEZ_CHOLERA" & weeknumber==357
replace _Oprahpos4=1 if book=="FOLLETT" & weeknumber==365
replace _Oprahpos4=1 if book=="TOLLE" & weeknumber==374
replace _Oprahpos4=1 if book=="WROB" & weeknumber==407
replace _Oprahpos4=1 if book=="APKAN" & weeknumber==459
replace _Oprahpos4=1 if book=="DICKENS" & weeknumber==523


gen _Oprahpos5=book=="HYMAN" & weeknumber==15
replace _Oprahpos5=1 if book=="OUKFIR" & weeknumber==25
replace _Oprahpos5=1 if book=="TADEMY" & weeknumber==30
replace _Oprahpos5=1 if book=="MCDONALD" & weeknumber==61
replace _Oprahpos5=1 if book=="MORRISON" & weeknumber==71
replace _Oprahpos5=1 if book=="STEINBECK" & weeknumber==134
replace _Oprahpos5=1 if book=="PATON" & weeknumber==149
replace _Oprahpos5=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==165
replace _Oprahpos5=1 if book=="MCCULLERS" & weeknumber==178
replace _Oprahpos5=1 if book=="TOLSTOY" & weeknumber==184
replace _Oprahpos5=1 if book=="BUCK" & weeknumber==199
replace _Oprahpos5=1 if book=="FAULKNER" & weeknumber==236
replace _Oprahpos5=1 if book=="FREY" & weeknumber==252
replace _Oprahpos5=1 if book=="WEISEL" & weeknumber==269
replace _Oprahpos5=1 if book=="POITIER" & weeknumber==322
replace _Oprahpos5=1 if book=="MCCARTHY" & weeknumber==331
replace _Oprahpos5=1 if book=="EUGENIDES" & weeknumber==341
replace _Oprahpos5=1 if book=="MARQUEZ_CHOLERA" & weeknumber==358
replace _Oprahpos5=1 if book=="FOLLETT" & weeknumber==366
replace _Oprahpos5=1 if book=="TOLLE" & weeknumber==375
replace _Oprahpos5=1 if book=="WROB" & weeknumber==408
replace _Oprahpos5=1 if book=="APKAN" & weeknumber==460
replace _Oprahpos5=1 if book=="DICKENS" & weeknumber==524


gen _Oprahpos6=book=="HYMAN" & weeknumber==16
replace _Oprahpos6=1 if book=="OUKFIR" & weeknumber==26
replace _Oprahpos6=1 if book=="TADEMY" & weeknumber==31
replace _Oprahpos6=1 if book=="MCDONALD" & weeknumber==62
replace _Oprahpos6=1 if book=="MORRISON" & weeknumber==72
replace _Oprahpos6=1 if book=="STEINBECK" & weeknumber==135
replace _Oprahpos6=1 if book=="PATON" & weeknumber==150
replace _Oprahpos6=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==166
replace _Oprahpos6=1 if book=="MCCULLERS" & weeknumber==179
replace _Oprahpos6=1 if book=="TOLSTOY" & weeknumber==185
replace _Oprahpos6=1 if book=="BUCK" & weeknumber==200
replace _Oprahpos6=1 if book=="FAULKNER" & weeknumber==237
replace _Oprahpos6=1 if book=="FREY" & weeknumber==253
replace _Oprahpos6=1 if book=="WEISEL" & weeknumber==270
replace _Oprahpos6=1 if book=="POITIER" & weeknumber==323
replace _Oprahpos6=1 if book=="MCCARTHY" & weeknumber==332
replace _Oprahpos6=1 if book=="EUGENIDES" & weeknumber==342
replace _Oprahpos6=1 if book=="MARQUEZ_CHOLERA" & weeknumber==359
replace _Oprahpos6=1 if book=="FOLLETT" & weeknumber==367
replace _Oprahpos6=1 if book=="TOLLE" & weeknumber==376
replace _Oprahpos6=1 if book=="WROB" & weeknumber==409
replace _Oprahpos6=1 if book=="APKAN" & weeknumber==461
replace _Oprahpos6=1 if book=="DICKENS" & weeknumber==525


gen _Oprahpos7=book=="HYMAN" & weeknumber==17
replace _Oprahpos7=1 if book=="OUKFIR" & weeknumber==27
replace _Oprahpos7=1 if book=="TADEMY" & weeknumber==32
replace _Oprahpos7=1 if book=="MCDONALD" & weeknumber==63
replace _Oprahpos7=1 if book=="MORRISON" & weeknumber==73
replace _Oprahpos7=1 if book=="STEINBECK" & weeknumber==136
replace _Oprahpos7=1 if book=="PATON" & weeknumber==151
replace _Oprahpos7=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==167
replace _Oprahpos7=1 if book=="MCCULLERS" & weeknumber==180
replace _Oprahpos7=1 if book=="TOLSTOY" & weeknumber==186
replace _Oprahpos7=1 if book=="BUCK" & weeknumber==201
replace _Oprahpos7=1 if book=="FAULKNER" & weeknumber==238
replace _Oprahpos7=1 if book=="FREY" & weeknumber==254
replace _Oprahpos7=1 if book=="WEISEL" & weeknumber==271
replace _Oprahpos7=1 if book=="POITIER" & weeknumber==324
replace _Oprahpos7=1 if book=="MCCARTHY" & weeknumber==333
replace _Oprahpos7=1 if book=="EUGENIDES" & weeknumber==343
replace _Oprahpos7=1 if book=="MARQUEZ_CHOLERA" & weeknumber==360
replace _Oprahpos7=1 if book=="FOLLETT" & weeknumber==368
replace _Oprahpos7=1 if book=="TOLLE" & weeknumber==377
replace _Oprahpos7=1 if book=="WROB" & weeknumber==410
replace _Oprahpos7=1 if book=="APKAN" & weeknumber==462
replace _Oprahpos7=1 if book=="DICKENS" & weeknumber==526



gen _Oprahpos8=book=="HYMAN" & weeknumber==18
replace _Oprahpos8=1 if book=="OUKFIR" & weeknumber==28
replace _Oprahpos8=1 if book=="TADEMY" & weeknumber==33
replace _Oprahpos8=1 if book=="MCDONALD" & weeknumber==64
replace _Oprahpos8=1 if book=="MORRISON" & weeknumber==74
replace _Oprahpos8=1 if book=="STEINBECK" & weeknumber==137
replace _Oprahpos8=1 if book=="PATON" & weeknumber==152
replace _Oprahpos8=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==168
replace _Oprahpos8=1 if book=="MCCULLERS" & weeknumber==181
replace _Oprahpos8=1 if book=="TOLSTOY" & weeknumber==187
replace _Oprahpos8=1 if book=="BUCK" & weeknumber==202
replace _Oprahpos8=1 if book=="FAULKNER" & weeknumber==239
replace _Oprahpos8=1 if book=="FREY" & weeknumber==255
replace _Oprahpos8=1 if book=="WEISEL" & weeknumber==272
replace _Oprahpos8=1 if book=="POITIER" & weeknumber==325
replace _Oprahpos8=1 if book=="MCCARTHY" & weeknumber==334
replace _Oprahpos8=1 if book=="EUGENIDES" & weeknumber==344
replace _Oprahpos8=1 if book=="MARQUEZ_CHOLERA" & weeknumber==361
replace _Oprahpos8=1 if book=="FOLLETT" & weeknumber==369
replace _Oprahpos8=1 if book=="TOLLE" & weeknumber==378
replace _Oprahpos8=1 if book=="WROB" & weeknumber==411
replace _Oprahpos8=1 if book=="APKAN" & weeknumber==463
replace _Oprahpos8=1 if book=="DICKENS" & weeknumber==527





gen _Oprahpos9=book=="HYMAN" & weeknumber==19
replace _Oprahpos9=1 if book=="OUKFIR" & weeknumber==29
replace _Oprahpos9=1 if book=="TADEMY" & weeknumber==34
replace _Oprahpos9=1 if book=="MCDONALD" & weeknumber==65
replace _Oprahpos9=1 if book=="MORRISON" & weeknumber==75
replace _Oprahpos9=1 if book=="STEINBECK" & weeknumber==138
replace _Oprahpos9=1 if book=="PATON" & weeknumber==153
replace _Oprahpos9=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==169
replace _Oprahpos9=1 if book=="MCCULLERS" & weeknumber==182
replace _Oprahpos9=1 if book=="TOLSTOY" & weeknumber==188
replace _Oprahpos9=1 if book=="BUCK" & weeknumber==203
replace _Oprahpos9=1 if book=="FAULKNER" & weeknumber==240
replace _Oprahpos9=1 if book=="FREY" & weeknumber==256
replace _Oprahpos9=1 if book=="WEISEL" & weeknumber==273
replace _Oprahpos9=1 if book=="POITIER" & weeknumber==326
replace _Oprahpos9=1 if book=="MCCARTHY" & weeknumber==335
replace _Oprahpos9=1 if book=="EUGENIDES" & weeknumber==345
replace _Oprahpos9=1 if book=="MARQUEZ_CHOLERA" & weeknumber==362
replace _Oprahpos9=1 if book=="FOLLETT" & weeknumber==370
replace _Oprahpos9=1 if book=="TOLLE" & weeknumber==379
replace _Oprahpos9=1 if book=="WROB" & weeknumber==412
replace _Oprahpos9=1 if book=="APKAN" & weeknumber==464
replace _Oprahpos9=1 if book=="DICKENS" & weeknumber==528



gen _Oprahpos10=book=="HYMAN" & weeknumber==19
replace _Oprahpos10=1 if book=="OUKFIR" & weeknumber==29
replace _Oprahpos10=1 if book=="TADEMY" & weeknumber==34
replace _Oprahpos10=1 if book=="MCDONALD" & weeknumber==65
replace _Oprahpos10=1 if book=="MORRISON" & weeknumber==75
replace _Oprahpos10=1 if book=="STEINBECK" & weeknumber==138
replace _Oprahpos10=1 if book=="PATON" & weeknumber==153
replace _Oprahpos10=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==169
replace _Oprahpos10=1 if book=="MCCULLERS" & weeknumber==182
replace _Oprahpos10=1 if book=="TOLSTOY" & weeknumber==188
replace _Oprahpos10=1 if book=="BUCK" & weeknumber==203
replace _Oprahpos10=1 if book=="FAULKNER" & weeknumber==240
replace _Oprahpos10=1 if book=="FREY" & weeknumber==256
replace _Oprahpos10=1 if book=="WEISEL" & weeknumber==273
replace _Oprahpos10=1 if book=="POITIER" & weeknumber==326
replace _Oprahpos10=1 if book=="MCCARTHY" & weeknumber==335
replace _Oprahpos10=1 if book=="EUGENIDES" & weeknumber==345
replace _Oprahpos10=1 if book=="MARQUEZ_CHOLERA" & weeknumber==362
replace _Oprahpos10=1 if book=="FOLLETT" & weeknumber==370
replace _Oprahpos10=1 if book=="TOLLE" & weeknumber==379
replace _Oprahpos10=1 if book=="WROB" & weeknumber==412
replace _Oprahpos10=1 if book=="APKAN" & weeknumber==464
replace _Oprahpos10=1 if book=="DICKENS" & weeknumber==528


* Weeks 10-26 done in loop.

foreach number in numlist 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 {

gen _Oprahpos`number'=1 if book=="HYMAN" & weeknumber==(19+`number')
replace _Oprahpos`number'=1 if book=="OUKFIR" & weeknumber==(29 +`number')
replace _Oprahpos`number'=1 if book=="TADEMY" & weeknumber==(34 +`number')
replace _Oprahpos`number'=1 if book=="MCDONALD" & weeknumber==(65 +`number')
replace _Oprahpos`number'=1 if book=="MORRISON" & weeknumber==(75 +`number')
replace _Oprahpos`number'=1 if book=="STEINBECK" & weeknumber==(138 +`number')
replace _Oprahpos`number'=1 if book=="PATON" & weeknumber==(153 +`number')
replace _Oprahpos`number'=1 if book=="MARQUEZ_SOLITUDE" &  weeknumber==(169 +`number')
replace _Oprahpos`number'=1 if book=="MCCULLERS" & weeknumber==(182 +`number')
replace _Oprahpos`number'=1 if book=="TOLSTOY" & weeknumber==(188 +`number')
replace _Oprahpos`number'=1 if book=="BUCK" & weeknumber==(203 +`number')
replace _Oprahpos`number'=1 if book=="FAULKNER" & weeknumber==(240 +`number')
replace _Oprahpos`number'=1 if book=="FREY" & weeknumber==(256 +`number')
replace _Oprahpos`number'=1 if book=="WEISEL" & weeknumber==(273 +`number')
replace _Oprahpos`number'=1 if book=="POITIER" & weeknumber==(326 +`number')
replace _Oprahpos`number'=1 if book=="MCCARTHY" & weeknumber==(335 +`number')
replace _Oprahpos`number'=1 if book=="EUGENIDES" & weeknumber==(345 +`number')
replace _Oprahpos`number'=1 if book=="MARQUEZ_CHOLERA" & weeknumber==(362 +`number')
replace _Oprahpos`number'=1 if book=="FOLLETT" & weeknumber==(370 +`number')
replace _Oprahpos`number'=1 if book=="TOLLE" & weeknumber==(379 +`number')
replace _Oprahpos`number'=1 if book=="WROB" & weeknumber==(412 +`number')
replace _Oprahpos`number'=1 if book=="APKAN" & weeknumber==(464 +`number')
replace _Oprahpos`number'=1 if book=="DICKENS" & weeknumber==(528+`number')

}


gen postoprah26=1 if book=="HYMAN" & weeknumber>35
replace postoprah26=1 if book=="OUKFIR" & weeknumber>45
replace postoprah26=1 if book=="TADEMY" & weeknumber>50
replace postoprah26=1 if book=="MCDONALD" & weeknumber>71
replace postoprah26=1 if book=="MORRISON" & weeknumber>81
replace postoprah26=1 if book=="STEINBECK" & weeknumber>156
replace postoprah26=1 if book=="PATON" & weeknumber>169
replace postoprah26=1 if book=="MARQUEZ_SOLITUDE" & weeknumber>185
replace postoprah26=1 if book=="MCCULLERS" & weeknumber>198
replace postoprah26=1 if book=="TOLSTOY" & weeknumber>204
replace postoprah26=1 if book=="BUCK" & weeknumber>219
replace postoprah26=1 if book=="FAULKNER" & weeknumber>256
replace postoprah26=1 if book=="FREY" & weeknumber>272
replace postoprah26=1 if book=="WEISEL" & weeknumber>289
replace postoprah26=1 if book=="POITIER" & weeknumber>342
replace postoprah26=1 if book=="MCCARTHY" & weeknumber>351
replace postoprah26=1 if book=="EUGENIDES" & weeknumber>361
replace postoprah26=1 if book=="MARQUEZ_CHOLERA" & weeknumber>378
replace postoprah26=1 if book=="FOLLETT" & weeknumber>386
replace postoprah26=1 if book=="TOLLE" & weeknumber>395
replace postoprah26=1 if book=="WROB" & weeknumber>428
replace postoprah26=1 if book=="APKAN" & weeknumber>480
replace postoprah26=1 if book=="DICKENS" & weeknumber>544
replace postoprah26=0 if postoprah26==.







**************************************
**  Coding Weeks for Today Show Books
***************************************

use todaybooks.dta

* Set panel data
egen booknumber=group(book)
xtset i.booknumber i.weeknumber

* Generate 52 week of the effects
xi i.week


gen _Todayneg8=author=="Baker" & weeknumber==93
replace _Todayneg8=1 if author=="Bennett" & weeknumber==89
replace _Todayneg8=1 if author=="Blanchard" & weeknumber==151
replace _Todayneg8=1 if author=="Collins" & weeknumber==110
replace _Todayneg8=1 if author=="Danticat" & weeknumber==170
replace _Todayneg8=1 if author=="Datcher" & weeknumber==85
replace _Todayneg8=1 if author=="Greer" & weeknumber==165
replace _Todayneg8=1 if author=="Haddon" & weeknumber==127
replace _Todayneg8=1 if author=="Jones" & weeknumber==143
replace _Todayneg8=1 if author=="Kimmel" & weeknumber==80
replace _Todayneg8=1 if author=="Lawson" & weeknumber==99
replace _Todayneg8=1 if author=="Lively" & weeknumber==161
replace _Todayneg8=1 if author=="MacDonald" & weeknumber==147
replace _Todayneg8=1 if author=="McGhee" & weeknumber==129 
replace _Todayneg8=1 if author=="Moore" & weeknumber==179
replace _Todayneg8=1 if author=="Packer" & weeknumber==115 
replace _Todayneg8=1 if author=="Cisneros" & weeknumber==107


gen _Todayneg7=author=="Baker" & weeknumber==94
replace _Todayneg7=1 if author=="Bennett" & weeknumber==90
replace _Todayneg7=1 if author=="Blanchard" & weeknumber==152
replace _Todayneg7=1 if author=="Collins" & weeknumber==111
replace _Todayneg7=1 if author=="Danticat" & weeknumber==171 
replace _Todayneg7=1 if author=="Datcher" & weeknumber==86
replace _Todayneg7=1 if author=="Greer" & weeknumber==166 
replace _Todayneg7=1 if author=="Haddon" & weeknumber==128 
replace _Todayneg7=1 if author=="Jones" & weeknumber==144 
replace _Todayneg7=1 if author=="Kimmel" & weeknumber==81
replace _Todayneg7=1 if author=="Lawson" & weeknumber==100 
replace _Todayneg7=1 if author=="Lively" & weeknumber==162
replace _Todayneg7=1 if author=="MacDonald" & weeknumber==148 
replace _Todayneg7=1 if author=="McGhee" & weeknumber==130 
replace _Todayneg7=1 if author=="Moore" & weeknumber==180 
replace _Todayneg7=1 if author=="Packer" & weeknumber==116 
replace _Todayneg7=1 if author=="Cisneros" & weeknumber==108


gen _Todayneg6=author=="Baker" & weeknumber==95
replace _Todayneg6=1 if author=="Bennett" & weeknumber==91
replace _Todayneg6=1 if author=="Blanchard" & weeknumber==153
replace _Todayneg6=1 if author=="Collins" & weeknumber==112
replace _Todayneg6=1 if author=="Danticat" & weeknumber==172
replace _Todayneg6=1 if author=="Datcher" & weeknumber==87
replace _Todayneg6=1 if author=="Greer" & weeknumber==167
replace _Todayneg6=1 if author=="Haddon" & weeknumber==129
replace _Todayneg6=1 if author=="Jones" & weeknumber==145 
replace _Todayneg6=1 if author=="Kimmel" & weeknumber==82
replace _Todayneg6=1 if author=="Lawson" & weeknumber==101 
replace _Todayneg6=1 if author=="Lively" & weeknumber==163
replace _Todayneg6=1 if author=="MacDonald" & weeknumber==149
replace _Todayneg6=1 if author=="McGhee" & weeknumber==131
replace _Todayneg6=1 if author=="Moore" & weeknumber==181
replace _Todayneg6=1 if author=="Packer" & weeknumber==117
replace _Todayneg6=1 if author=="Cisneros" & weeknumber==109 


gen _Todayneg5=author=="Baker" & weeknumber==96
replace _Todayneg5=1 if author=="Bennett" & weeknumber==92
replace _Todayneg5=1 if author=="Blanchard" & weeknumber==154
replace _Todayneg5=1 if author=="Collins" & weeknumber==113
replace _Todayneg5=1 if author=="Danticat" & weeknumber==173
replace _Todayneg5=1 if author=="Datcher" & weeknumber==88
replace _Todayneg5=1 if author=="Greer" & weeknumber==168
replace _Todayneg5=1 if author=="Haddon" & weeknumber==130
replace _Todayneg5=1 if author=="Jones" & weeknumber==146
replace _Todayneg5=1 if author=="Kimmel" & weeknumber==83
replace _Todayneg5=1 if author=="Lawson" & weeknumber==102
replace _Todayneg5=1 if author=="Lively" & weeknumber==164
replace _Todayneg5=1 if author=="MacDonald" & weeknumber==150
replace _Todayneg5=1 if author=="McGhee" & weeknumber==132
replace _Todayneg5=1 if author=="Moore" & weeknumber==182
replace _Todayneg5=1 if author=="Packer" & weeknumber==118
replace _Todayneg5=1 if author=="Cisneros" & weeknumber==110

gen _Todayneg4=author=="Baker" & weeknumber==97
replace _Todayneg4=1 if author=="Bennett" & weeknumber==93
replace _Todayneg4=1 if author=="Blanchard" & weeknumber==155
replace _Todayneg4=1 if author=="Collins" & weeknumber==114
replace _Todayneg4=1 if author=="Danticat" & weeknumber==174
replace _Todayneg4=1 if author=="Datcher" & weeknumber==89
replace _Todayneg4=1 if author=="Greer" & weeknumber==169
replace _Todayneg4=1 if author=="Haddon" & weeknumber==131
replace _Todayneg4=1 if author=="Jones" & weeknumber==147
replace _Todayneg4=1 if author=="Kimmel" & weeknumber==84
replace _Todayneg4=1 if author=="Lawson" & weeknumber==103
replace _Todayneg4=1 if author=="Lively" & weeknumber==165
replace _Todayneg4=1 if author=="MacDonald" & weeknumber==151
replace _Todayneg4=1 if author=="McGhee" & weeknumber==133
replace _Todayneg4=1 if author=="Moore" & weeknumber==183
replace _Todayneg4=1 if author=="Packer" & weeknumber==119
replace _Todayneg4=1 if author=="Cisneros" & weeknumber==111

gen _Todayneg3=author=="Baker" & weeknumber==98
replace _Todayneg3=1 if author=="Bennett" & weeknumber==94
replace _Todayneg3=1 if author=="Blanchard" & weeknumber==156
replace _Todayneg3=1 if author=="Collins" & weeknumber==115
replace _Todayneg3=1 if author=="Danticat" & weeknumber==175
replace _Todayneg3=1 if author=="Datcher" & weeknumber==90
replace _Todayneg3=1 if author=="Greer" & weeknumber==170
replace _Todayneg3=1 if author=="Haddon" & weeknumber==132
replace _Todayneg3=1 if author=="Jones" & weeknumber==148
replace _Todayneg3=1 if author=="Kimmel" & weeknumber==85
replace _Todayneg3=1 if author=="Lawson" & weeknumber==104
replace _Todayneg3=1 if author=="Lively" & weeknumber==166
replace _Todayneg3=1 if author=="MacDonald" & weeknumber==152
replace _Todayneg3=1 if author=="McGhee" & weeknumber==134
replace _Todayneg3=1 if author=="Moore" & weeknumber==184
replace _Todayneg3=1 if author=="Packer" & weeknumber==120
replace _Todayneg3=1 if author=="Cisneros" & weeknumber==112


gen _Todayneg2=author=="Baker" & weeknumber==99
replace _Todayneg2=1 if author=="Bennett" & weeknumber==95
replace _Todayneg2=1 if author=="Blanchard" & weeknumber==157
replace _Todayneg2=1 if author=="Collins" & weeknumber==116
replace _Todayneg2=1 if author=="Danticat" & weeknumber==176
replace _Todayneg2=1 if author=="Datcher" & weeknumber==91
replace _Todayneg2=1 if author=="Greer" & weeknumber==171
replace _Todayneg2=1 if author=="Haddon" & weeknumber==133
replace _Todayneg2=1 if author=="Jones" & weeknumber==149
replace _Todayneg2=1 if author=="Kimmel" & weeknumber==86
replace _Todayneg2=1 if author=="Lawson" & weeknumber==105
replace _Todayneg2=1 if author=="Lively" & weeknumber==167
replace _Todayneg2=1 if author=="MacDonald" & weeknumber==153
replace _Todayneg2=1 if author=="McGhee" & weeknumber==135
replace _Todayneg2=1 if author=="Moore" & weeknumber==185
replace _Todayneg2=1 if author=="Packer" & weeknumber==121
replace _Todayneg2=1 if author=="Cisneros" & weeknumber==113

gen _Todayneg1=author=="Baker" & weeknumber==100
replace _Todayneg1=1 if author=="Bennett" & weeknumber==96
replace _Todayneg1=1 if author=="Blanchard" & weeknumber==158
replace _Todayneg1=1 if author=="Collins" & weeknumber==117
replace _Todayneg1=1 if author=="Danticat" & weeknumber==177
replace _Todayneg1=1 if author=="Datcher" & weeknumber==92
replace _Todayneg1=1 if author=="Greer" & weeknumber==172
replace _Todayneg1=1 if author=="Haddon" & weeknumber==134
replace _Todayneg1=1 if author=="Jones" & weeknumber==150
replace _Todayneg1=1 if author=="Kimmel" & weeknumber==87
replace _Todayneg1=1 if author=="Lawson" & weeknumber==106
replace _Todayneg1=1 if author=="Lively" & weeknumber==168
replace _Todayneg1=1 if author=="MacDonald" & weeknumber==154
replace _Todayneg1=1 if author=="McGhee" & weeknumber==136
replace _Todayneg1=1 if author=="Moore" & weeknumber==186
replace _Todayneg1=1 if author=="Packer" & weeknumber==122
replace _Todayneg1=1 if author=="Cisneros" & weeknumber==114




gen _Todaypos1=author=="Baker" & weeknumber==102
replace _Todaypos1=1 if author=="Bennett" & weeknumber==98
replace _Todaypos1=1 if author=="Blanchard" & weeknumber==160
replace _Todaypos1=1 if author=="Collins" & weeknumber==119 
replace _Todaypos1=1 if author=="Danticat" & weeknumber==179
replace _Todaypos1=1 if author=="Datcher" & weeknumber==94 
replace _Todaypos1=1 if author=="Greer" & weeknumber==174 
replace _Todaypos1=1 if author=="Haddon" & weeknumber==136 
replace _Todaypos1=1 if author=="Jones" & weeknumber==152
replace _Todaypos1=1 if author=="Kimmel" & weeknumber==89 
replace _Todaypos1=1 if author=="Lawson" & weeknumber==108 
replace _Todaypos1=1 if author=="Lively" & weeknumber==170 
replace _Todaypos1=1 if author=="MacDonald" & weeknumber==156 
replace _Todaypos1=1 if author=="McGhee" & weeknumber==138
replace _Todaypos1=1 if author=="Moore" & weeknumber==188
replace _Todaypos1=1 if author=="Packer" & weeknumber==124
replace _Todaypos1=1 if author=="Cisneros" & weeknumber==116



gen _Todaypos2=author=="Baker" & weeknumber==103
replace _Todaypos2=1 if author=="Bennett" & weeknumber==99
replace _Todaypos2=1 if author=="Blanchard" & weeknumber==161
replace _Todaypos2=1 if author=="Collins" & weeknumber==120
replace _Todaypos2=1 if author=="Danticat" & weeknumber==180
replace _Todaypos2=1 if author=="Datcher" & weeknumber==95
replace _Todaypos2=1 if author=="Greer" & weeknumber==175 
replace _Todaypos2=1 if author=="Haddon" & weeknumber==137 
replace _Todaypos2=1 if author=="Jones" & weeknumber==153
replace _Todaypos2=1 if author=="Kimmel" & weeknumber==90 
replace _Todaypos2=1 if author=="Lawson" & weeknumber==109 
replace _Todaypos2=1 if author=="Lively" & weeknumber==171 
replace _Todaypos2=1 if author=="MacDonald" & weeknumber==157 
replace _Todaypos2=1 if author=="McGhee" & weeknumber==139
replace _Todaypos2=1 if author=="Moore" & weeknumber==189
replace _Todaypos2=1 if author=="Packer" & weeknumber==125
replace _Todaypos2=1 if author=="Cisneros" & weeknumber==117

gen _Todaypos3=author=="Baker" & weeknumber==104
replace _Todaypos3=1 if author=="Bennett" & weeknumber==100
replace _Todaypos3=1 if author=="Blanchard" & weeknumber==162
replace _Todaypos3=1 if author=="Collins" & weeknumber==121
replace _Todaypos3=1 if author=="Danticat" & weeknumber==181
replace _Todaypos3=1 if author=="Datcher" & weeknumber==96
replace _Todaypos3=1 if author=="Greer" & weeknumber==176
replace _Todaypos3=1 if author=="Haddon" & weeknumber==138 
replace _Todaypos3=1 if author=="Jones" & weeknumber==154
replace _Todaypos3=1 if author=="Kimmel" & weeknumber==91 
replace _Todaypos3=1 if author=="Lawson" & weeknumber==110 
replace _Todaypos3=1 if author=="Lively" & weeknumber==172 
replace _Todaypos3=1 if author=="MacDonald" & weeknumber==158
replace _Todaypos3=1 if author=="McGhee" & weeknumber==140
replace _Todaypos3=1 if author=="Moore" & weeknumber==190
replace _Todaypos3=1 if author=="Packer" & weeknumber==126
replace _Todaypos3=1 if author=="Cisneros" & weeknumber==118

gen _Todaypos4=author=="Baker" & weeknumber==105
replace _Todaypos4=1 if author=="Bennett" & weeknumber==101
replace _Todaypos4=1 if author=="Blanchard" & weeknumber==163
replace _Todaypos4=1 if author=="Collins" & weeknumber==122
replace _Todaypos4=1 if author=="Danticat" & weeknumber==182
replace _Todaypos4=1 if author=="Datcher" & weeknumber==97
replace _Todaypos4=1 if author=="Greer" & weeknumber==177
replace _Todaypos4=1 if author=="Haddon" & weeknumber==139
replace _Todaypos4=1 if author=="Jones" & weeknumber==155
replace _Todaypos4=1 if author=="Kimmel" & weeknumber==92
replace _Todaypos4=1 if author=="Lawson" & weeknumber==111 
replace _Todaypos4=1 if author=="Lively" & weeknumber==173
replace _Todaypos4=1 if author=="MacDonald" & weeknumber==159
replace _Todaypos4=1 if author=="McGhee" & weeknumber==141
replace _Todaypos4=1 if author=="Moore" & weeknumber==191
replace _Todaypos4=1 if author=="Packer" & weeknumber==127
replace _Todaypos4=1 if author=="Cisneros" & weeknumber==119

gen _Todaypos5=author=="Baker" & weeknumber==106
replace _Todaypos5=1 if author=="Bennett" & weeknumber==102
replace _Todaypos5=1 if author=="Blanchard" & weeknumber==164
replace _Todaypos5=1 if author=="Collins" & weeknumber==123
replace _Todaypos5=1 if author=="Danticat" & weeknumber==183
replace _Todaypos5=1 if author=="Datcher" & weeknumber==98
replace _Todaypos5=1 if author=="Greer" & weeknumber==178
replace _Todaypos5=1 if author=="Haddon" & weeknumber==140
replace _Todaypos5=1 if author=="Jones" & weeknumber==156
replace _Todaypos5=1 if author=="Kimmel" & weeknumber==93
replace _Todaypos5=1 if author=="Lawson" & weeknumber==112 
replace _Todaypos5=1 if author=="Lively" & weeknumber==174
replace _Todaypos5=1 if author=="MacDonald" & weeknumber==160
replace _Todaypos5=1 if author=="McGhee" & weeknumber==142
replace _Todaypos5=1 if author=="Moore" & weeknumber==192
replace _Todaypos5=1 if author=="Packer" & weeknumber==128
replace _Todaypos5=1 if author=="Cisneros" & weeknumber==120


gen _Todaypos6=author=="Baker" & weeknumber==107
replace _Todaypos6=1 if author=="Bennett" & weeknumber==103
replace _Todaypos6=1 if author=="Blanchard" & weeknumber==165
replace _Todaypos6=1 if author=="Collins" & weeknumber==124
replace _Todaypos6=1 if author=="Danticat" & weeknumber==184
replace _Todaypos6=1 if author=="Datcher" & weeknumber==99
replace _Todaypos6=1 if author=="Greer" & weeknumber==179
replace _Todaypos6=1 if author=="Haddon" & weeknumber==141
replace _Todaypos6=1 if author=="Jones" & weeknumber==157
replace _Todaypos6=1 if author=="Kimmel" & weeknumber==94
replace _Todaypos6=1 if author=="Lawson" & weeknumber==113 
replace _Todaypos6=1 if author=="Lively" & weeknumber==175
replace _Todaypos6=1 if author=="MacDonald" & weeknumber==161
replace _Todaypos6=1 if author=="McGhee" & weeknumber==143
replace _Todaypos6=1 if author=="Moore" & weeknumber==193
replace _Todaypos6=1 if author=="Packer" & weeknumber==129
replace _Todaypos6=1 if author=="Cisneros" & weeknumber==121



gen _Todaypos7=author=="Baker" & weeknumber==108
replace _Todaypos7=1 if author=="Bennett" & weeknumber==104
replace _Todaypos7=1 if author=="Blanchard" & weeknumber==166
replace _Todaypos7=1 if author=="Collins" & weeknumber==125
replace _Todaypos7=1 if author=="Danticat" & weeknumber==185
replace _Todaypos7=1 if author=="Datcher" & weeknumber==100
replace _Todaypos7=1 if author=="Greer" & weeknumber==180
replace _Todaypos7=1 if author=="Haddon" & weeknumber==142
replace _Todaypos7=1 if author=="Jones" & weeknumber==158
replace _Todaypos7=1 if author=="Kimmel" & weeknumber==95
replace _Todaypos7=1 if author=="Lawson" & weeknumber==114 
replace _Todaypos7=1 if author=="Lively" & weeknumber==176
replace _Todaypos7=1 if author=="MacDonald" & weeknumber==162
replace _Todaypos7=1 if author=="McGhee" & weeknumber==144
replace _Todaypos7=1 if author=="Moore" & weeknumber==194
replace _Todaypos7=1 if author=="Packer" & weeknumber==130
replace _Todaypos7=1 if author=="Cisneros" & weeknumber==122


gen _Todaypos8=author=="Baker" & weeknumber==109
replace _Todaypos8=1 if author=="Bennett" & weeknumber==105
replace _Todaypos8=1 if author=="Blanchard" & weeknumber==167
replace _Todaypos8=1 if author=="Collins" & weeknumber==126
replace _Todaypos8=1 if author=="Danticat" & weeknumber==186
replace _Todaypos8=1 if author=="Datcher" & weeknumber==101
replace _Todaypos8=1 if author=="Greer" & weeknumber==181
replace _Todaypos8=1 if author=="Haddon" & weeknumber==143
replace _Todaypos8=1 if author=="Jones" & weeknumber==159
replace _Todaypos8=1 if author=="Kimmel" & weeknumber==96
replace _Todaypos8=1 if author=="Lawson" & weeknumber==115 
replace _Todaypos8=1 if author=="Lively" & weeknumber==177
replace _Todaypos8=1 if author=="MacDonald" & weeknumber==163
replace _Todaypos8=1 if author=="McGhee" & weeknumber==145
replace _Todaypos8=1 if author=="Moore" & weeknumber==195
replace _Todaypos8=1 if author=="Packer" & weeknumber==131
replace _Todaypos8=1 if author=="Cisneros" & weeknumber==123


gen _Todaypos9=author=="Baker" & weeknumber==110
replace _Todaypos9=1 if author=="Bennett" & weeknumber==106
replace _Todaypos9=1 if author=="Blanchard" & weeknumber==168
replace _Todaypos9=1 if author=="Collins" & weeknumber==127
replace _Todaypos9=1 if author=="Danticat" & weeknumber==187
replace _Todaypos9=1 if author=="Datcher" & weeknumber==102
replace _Todaypos9=1 if author=="Greer" & weeknumber==182
replace _Todaypos9=1 if author=="Haddon" & weeknumber==144
replace _Todaypos9=1 if author=="Jones" & weeknumber==160
replace _Todaypos9=1 if author=="Kimmel" & weeknumber==97
replace _Todaypos9=1 if author=="Lawson" & weeknumber==116
replace _Todaypos9=1 if author=="Lively" & weeknumber==178
replace _Todaypos9=1 if author=="MacDonald" & weeknumber==164
replace _Todaypos9=1 if author=="McGhee" & weeknumber==146
replace _Todaypos9=1 if author=="Moore" & weeknumber==196
replace _Todaypos9=1 if author=="Packer" & weeknumber==132
replace _Todaypos9=1 if author=="Cisneros" & weeknumber==124


gen _Todaypos10=author=="Baker" & weeknumber==111
replace _Todaypos10=1 if author=="Bennett" & weeknumber==107
replace _Todaypos10=1 if author=="Blanchard" & weeknumber==169
replace _Todaypos10=1 if author=="Collins" & weeknumber==128
replace _Todaypos10=1 if author=="Danticat" & weeknumber==188
replace _Todaypos10=1 if author=="Datcher" & weeknumber==103
replace _Todaypos10=1 if author=="Greer" & weeknumber==183
replace _Todaypos10=1 if author=="Haddon" & weeknumber==145
replace _Todaypos10=1 if author=="Jones" & weeknumber==161
replace _Todaypos10=1 if author=="Kimmel" & weeknumber==98
replace _Todaypos10=1 if author=="Lawson" & weeknumber==117
replace _Todaypos10=1 if author=="Lively" & weeknumber==179
replace _Todaypos10=1 if author=="MacDonald" & weeknumber==165
replace _Todaypos10=1 if author=="McGhee" & weeknumber==147
replace _Todaypos10=1 if author=="Moore" & weeknumber==197
replace _Todaypos10=1 if author=="Packer" & weeknumber==133
replace _Todaypos10=1 if author=="Cisneros" & weeknumber==125


gen _Todaypos11=author=="Baker" & weeknumber==112
replace _Todaypos11=1 if author=="Bennett" & weeknumber==108
replace _Todaypos11=1 if author=="Blanchard" & weeknumber==170
replace _Todaypos11=1 if author=="Collins" & weeknumber==129
replace _Todaypos11=1 if author=="Danticat" & weeknumber==189
replace _Todaypos11=1 if author=="Datcher" & weeknumber==104
replace _Todaypos11=1 if author=="Greer" & weeknumber==184
replace _Todaypos11=1 if author=="Haddon" & weeknumber==146
replace _Todaypos11=1 if author=="Jones" & weeknumber==162
replace _Todaypos11=1 if author=="Kimmel" & weeknumber==99
replace _Todaypos11=1 if author=="Lawson" & weeknumber==118
replace _Todaypos11=1 if author=="Lively" & weeknumber==180
replace _Todaypos11=1 if author=="MacDonald" & weeknumber==166
replace _Todaypos11=1 if author=="McGhee" & weeknumber==148
replace _Todaypos11=1 if author=="Moore" & weeknumber==198
replace _Todaypos11=1 if author=="Packer" & weeknumber==134
replace _Todaypos11=1 if author=="Cisneros" & weeknumber==126


gen _Todaypos12=author=="Baker" & weeknumber==113
replace _Todaypos12=1 if author=="Bennett" & weeknumber==109
replace _Todaypos12=1 if author=="Blanchard" & weeknumber==171
replace _Todaypos12=1 if author=="Collins" & weeknumber==130
replace _Todaypos12=1 if author=="Danticat" & weeknumber==190
replace _Todaypos12=1 if author=="Datcher" & weeknumber==105
replace _Todaypos12=1 if author=="Greer" & weeknumber==185
replace _Todaypos12=1 if author=="Haddon" & weeknumber==147
replace _Todaypos12=1 if author=="Jones" & weeknumber==163
replace _Todaypos12=1 if author=="Kimmel" & weeknumber==100
replace _Todaypos12=1 if author=="Lawson" & weeknumber==119
replace _Todaypos12=1 if author=="Lively" & weeknumber==181
replace _Todaypos12=1 if author=="MacDonald" & weeknumber==167
replace _Todaypos12=1 if author=="McGhee" & weeknumber==149
replace _Todaypos12=1 if author=="Moore" & weeknumber==199
replace _Todaypos12=1 if author=="Packer" & weeknumber==135
replace _Todaypos12=1 if author=="Cisneros" & weeknumber==127


gen _Todaypos13=author=="Baker" & weeknumber==114
replace _Todaypos13=1 if author=="Bennett" & weeknumber==110
replace _Todaypos13=1 if author=="Blanchard" & weeknumber==172
replace _Todaypos13=1 if author=="Collins" & weeknumber==131
replace _Todaypos13=1 if author=="Danticat" & weeknumber==191
replace _Todaypos13=1 if author=="Datcher" & weeknumber==106
replace _Todaypos13=1 if author=="Greer" & weeknumber==186
replace _Todaypos13=1 if author=="Haddon" & weeknumber==148
replace _Todaypos13=1 if author=="Jones" & weeknumber==164
replace _Todaypos13=1 if author=="Kimmel" & weeknumber==101
replace _Todaypos13=1 if author=="Lawson" & weeknumber==120
replace _Todaypos13=1 if author=="Lively" & weeknumber==182
replace _Todaypos13=1 if author=="MacDonald" & weeknumber==168
replace _Todaypos13=1 if author=="McGhee" & weeknumber==150
replace _Todaypos13=1 if author=="Moore" & weeknumber==200
replace _Todaypos13=1 if author=="Packer" & weeknumber==136
replace _Todaypos13=1 if author=="Cisneros" & weeknumber==128


gen _Todaypos14=author=="Baker" & weeknumber==115
replace _Todaypos14=1 if author=="Bennett" & weeknumber==111
replace _Todaypos14=1 if author=="Blanchard" & weeknumber==173
replace _Todaypos14=1 if author=="Collins" & weeknumber==132
replace _Todaypos14=1 if author=="Danticat" & weeknumber==192
replace _Todaypos14=1 if author=="Datcher" & weeknumber==107
replace _Todaypos14=1 if author=="Greer" & weeknumber==187
replace _Todaypos14=1 if author=="Haddon" & weeknumber==149
replace _Todaypos14=1 if author=="Jones" & weeknumber==165
replace _Todaypos14=1 if author=="Kimmel" & weeknumber==102
replace _Todaypos14=1 if author=="Lawson" & weeknumber==121
replace _Todaypos14=1 if author=="Lively" & weeknumber==183
replace _Todaypos14=1 if author=="MacDonald" & weeknumber==169
replace _Todaypos14=1 if author=="McGhee" & weeknumber==151
replace _Todaypos14=1 if author=="Moore" & weeknumber==201
replace _Todaypos14=1 if author=="Packer" & weeknumber==137
replace _Todaypos14=1 if author=="Cisneros" & weeknumber==129

gen _Todaypos15=author=="Baker" & weeknumber==116
replace _Todaypos15=1 if author=="Bennett" & weeknumber==112
replace _Todaypos15=1 if author=="Blanchard" & weeknumber==174
replace _Todaypos15=1 if author=="Collins" & weeknumber==133
replace _Todaypos15=1 if author=="Danticat" & weeknumber==193
replace _Todaypos15=1 if author=="Datcher" & weeknumber==108
replace _Todaypos15=1 if author=="Greer" & weeknumber==188
replace _Todaypos15=1 if author=="Haddon" & weeknumber==150
replace _Todaypos15=1 if author=="Jones" & weeknumber==166
replace _Todaypos15=1 if author=="Kimmel" & weeknumber==102
replace _Todaypos15=1 if author=="Lawson" & weeknumber==122
replace _Todaypos15=1 if author=="Lively" & weeknumber==184
replace _Todaypos15=1 if author=="MacDonald" & weeknumber==170
replace _Todaypos15=1 if author=="McGhee" & weeknumber==152
replace _Todaypos15=1 if author=="Moore" & weeknumber==202
replace _Todaypos15=1 if author=="Packer" & weeknumber==138
replace _Todaypos15=1 if author=="Cisneros" & weeknumber==130

gen _Todaypos16=author=="Baker" & weeknumber==117
replace _Todaypos16=1 if author=="Bennett" & weeknumber==113
replace _Todaypos16=1 if author=="Blanchard" & weeknumber==175
replace _Todaypos16=1 if author=="Collins" & weeknumber==134
replace _Todaypos16=1 if author=="Danticat" & weeknumber==194
replace _Todaypos16=1 if author=="Datcher" & weeknumber==109
replace _Todaypos16=1 if author=="Greer" & weeknumber==189
replace _Todaypos16=1 if author=="Haddon" & weeknumber==151
replace _Todaypos16=1 if author=="Jones" & weeknumber==167
replace _Todaypos16=1 if author=="Kimmel" & weeknumber==103
replace _Todaypos16=1 if author=="Lawson" & weeknumber==123
replace _Todaypos16=1 if author=="Lively" & weeknumber==185
replace _Todaypos16=1 if author=="MacDonald" & weeknumber==171
replace _Todaypos16=1 if author=="McGhee" & weeknumber==153
replace _Todaypos16=1 if author=="Moore" & weeknumber==203
replace _Todaypos16=1 if author=="Packer" & weeknumber==139
replace _Todaypos16=1 if author=="Cisneros" & weeknumber==131



gen _Todaypos17=author=="Baker" & weeknumber==118
replace _Todaypos17=1 if author=="Bennett" & weeknumber==114
replace _Todaypos17=1 if author=="Blanchard" & weeknumber==176
replace _Todaypos17=1 if author=="Collins" & weeknumber==135
replace _Todaypos17=1 if author=="Danticat" & weeknumber==195
replace _Todaypos17=1 if author=="Datcher" & weeknumber==110
replace _Todaypos17=1 if author=="Greer" & weeknumber==190
replace _Todaypos17=1 if author=="Haddon" & weeknumber==152
replace _Todaypos17=1 if author=="Jones" & weeknumber==168
replace _Todaypos17=1 if author=="Kimmel" & weeknumber==104
replace _Todaypos17=1 if author=="Lawson" & weeknumber==124
replace _Todaypos17=1 if author=="Lively" & weeknumber==186
replace _Todaypos17=1 if author=="MacDonald" & weeknumber==171
replace _Todaypos17=1 if author=="McGhee" & weeknumber==154
replace _Todaypos17=1 if author=="Moore" & weeknumber==204
replace _Todaypos17=1 if author=="Packer" & weeknumber==140
replace _Todaypos17=1 if author=="Cisneros" & weeknumber==132





gen _Todaypos18=author=="Baker" & weeknumber==119
replace _Todaypos18=1 if author=="Bennett" & weeknumber==115
replace _Todaypos18=1 if author=="Blanchard" & weeknumber==177
replace _Todaypos18=1 if author=="Collins" & weeknumber==136
replace _Todaypos18=1 if author=="Danticat" & weeknumber==196
replace _Todaypos18=1 if author=="Datcher" & weeknumber==111
replace _Todaypos18=1 if author=="Greer" & weeknumber==191
replace _Todaypos18=1 if author=="Haddon" & weeknumber==153
replace _Todaypos18=1 if author=="Jones" & weeknumber==169
replace _Todaypos18=1 if author=="Kimmel" & weeknumber==105
replace _Todaypos18=1 if author=="Lawson" & weeknumber==125
replace _Todaypos18=1 if author=="Lively" & weeknumber==187
replace _Todaypos18=1 if author=="MacDonald" & weeknumber==172
replace _Todaypos18=1 if author=="McGhee" & weeknumber==155
replace _Todaypos18=1 if author=="Moore" & weeknumber==205
replace _Todaypos18=1 if author=="Packer" & weeknumber==141
replace _Todaypos18=1 if author=="Cisneros" & weeknumber==133

gen _Todaypos19=author=="Baker" & weeknumber==120
replace _Todaypos19=1 if author=="Bennett" & weeknumber==116
replace _Todaypos19=1 if author=="Blanchard" & weeknumber==178
replace _Todaypos19=1 if author=="Collins" & weeknumber==137
replace _Todaypos19=1 if author=="Danticat" & weeknumber==197
replace _Todaypos19=1 if author=="Datcher" & weeknumber==112
replace _Todaypos19=1 if author=="Greer" & weeknumber==192
replace _Todaypos19=1 if author=="Haddon" & weeknumber==154
replace _Todaypos19=1 if author=="Jones" & weeknumber==170
replace _Todaypos19=1 if author=="Kimmel" & weeknumber==106
replace _Todaypos19=1 if author=="Lawson" & weeknumber==126
replace _Todaypos19=1 if author=="Lively" & weeknumber==188
replace _Todaypos19=1 if author=="MacDonald" & weeknumber==173
replace _Todaypos19=1 if author=="McGhee" & weeknumber==156
replace _Todaypos19=1 if author=="Moore" & weeknumber==206
replace _Todaypos19=1 if author=="Packer" & weeknumber==142
replace _Todaypos19=1 if author=="Cisneros" & weeknumber==134


gen _Todaypos20=author=="Baker" & weeknumber==121
replace _Todaypos20=1 if author=="Bennett" & weeknumber==117
replace _Todaypos20=1 if author=="Blanchard" & weeknumber==179
replace _Todaypos20=1 if author=="Collins" & weeknumber==138
replace _Todaypos20=1 if author=="Danticat" & weeknumber==198
replace _Todaypos20=1 if author=="Datcher" & weeknumber==113
replace _Todaypos20=1 if author=="Greer" & weeknumber==193
replace _Todaypos20=1 if author=="Haddon" & weeknumber==155
replace _Todaypos20=1 if author=="Jones" & weeknumber==171
replace _Todaypos20=1 if author=="Kimmel" & weeknumber==107
replace _Todaypos20=1 if author=="Lawson" & weeknumber==127
replace _Todaypos20=1 if author=="Lively" & weeknumber==189
replace _Todaypos20=1 if author=="MacDonald" & weeknumber==174
replace _Todaypos20=1 if author=="McGhee" & weeknumber==157
replace _Todaypos20=1 if author=="Moore" & weeknumber==207
replace _Todaypos20=1 if author=="Packer" & weeknumber==143
replace _Todaypos20=1 if author=="Cisneros" & weeknumber==135


gen _Todaypos21=author=="Baker" & weeknumber==122
replace _Todaypos21=1 if author=="Bennett" & weeknumber==118
replace _Todaypos21=1 if author=="Blanchard" & weeknumber==180
replace _Todaypos21=1 if author=="Collins" & weeknumber==139
replace _Todaypos21=1 if author=="Danticat" & weeknumber==199
replace _Todaypos21=1 if author=="Datcher" & weeknumber==114
replace _Todaypos21=1 if author=="Greer" & weeknumber==194
replace _Todaypos21=1 if author=="Haddon" & weeknumber==156
replace _Todaypos21=1 if author=="Jones" & weeknumber==172
replace _Todaypos21=1 if author=="Kimmel" & weeknumber==108
replace _Todaypos21=1 if author=="Lawson" & weeknumber==128
replace _Todaypos21=1 if author=="Lively" & weeknumber==190
replace _Todaypos21=1 if author=="MacDonald" & weeknumber==175
replace _Todaypos21=1 if author=="McGhee" & weeknumber==158
replace _Todaypos21=1 if author=="Moore" & weeknumber==208
replace _Todaypos21=1 if author=="Packer" & weeknumber==144
replace _Todaypos21=1 if author=="Cisneros" & weeknumber==136


gen _Todaypos22=author=="Baker" & weeknumber==123
replace _Todaypos22=1 if author=="Bennett" & weeknumber==119
replace _Todaypos22=1 if author=="Blanchard" & weeknumber==181
replace _Todaypos22=1 if author=="Collins" & weeknumber==140
replace _Todaypos22=1 if author=="Danticat" & weeknumber==200
replace _Todaypos22=1 if author=="Datcher" & weeknumber==115
replace _Todaypos22=1 if author=="Greer" & weeknumber==195
replace _Todaypos22=1 if author=="Haddon" & weeknumber==157
replace _Todaypos22=1 if author=="Jones" & weeknumber==173
replace _Todaypos22=1 if author=="Kimmel" & weeknumber==109
replace _Todaypos22=1 if author=="Lawson" & weeknumber==129
replace _Todaypos22=1 if author=="Lively" & weeknumber==191
replace _Todaypos22=1 if author=="MacDonald" & weeknumber==176
replace _Todaypos22=1 if author=="McGhee" & weeknumber==159
replace _Todaypos22=1 if author=="Moore" & weeknumber==209
replace _Todaypos22=1 if author=="Packer" & weeknumber==145
replace _Todaypos22=1 if author=="Cisneros" & weeknumber==137

gen _Todaypos23=author=="Baker" & weeknumber==124
replace _Todaypos23=1 if author=="Bennett" & weeknumber==120
replace _Todaypos23=1 if author=="Blanchard" & weeknumber==182
replace _Todaypos23=1 if author=="Collins" & weeknumber==141
replace _Todaypos23=1 if author=="Danticat" & weeknumber==201
replace _Todaypos23=1 if author=="Datcher" & weeknumber==116
replace _Todaypos23=1 if author=="Greer" & weeknumber==196
replace _Todaypos23=1 if author=="Haddon" & weeknumber==158
replace _Todaypos23=1 if author=="Jones" & weeknumber==174
replace _Todaypos23=1 if author=="Kimmel" & weeknumber==110
replace _Todaypos23=1 if author=="Lawson" & weeknumber==130
replace _Todaypos23=1 if author=="Lively" & weeknumber==192
replace _Todaypos23=1 if author=="MacDonald" & weeknumber==177
replace _Todaypos23=1 if author=="McGhee" & weeknumber==160
replace _Todaypos23=1 if author=="Moore" & weeknumber==210
replace _Todaypos23=1 if author=="Packer" & weeknumber==146
replace _Todaypos23=1 if author=="Cisneros" & weeknumber==138

gen _Todaypos24=author=="Baker" & weeknumber==125
replace _Todaypos24=1 if author=="Bennett" & weeknumber==121
replace _Todaypos24=1 if author=="Blanchard" & weeknumber==183
replace _Todaypos24=1 if author=="Collins" & weeknumber==142
replace _Todaypos24=1 if author=="Danticat" & weeknumber==202
replace _Todaypos24=1 if author=="Datcher" & weeknumber==117
replace _Todaypos24=1 if author=="Greer" & weeknumber==197
replace _Todaypos24=1 if author=="Haddon" & weeknumber==159
replace _Todaypos24=1 if author=="Jones" & weeknumber==175
replace _Todaypos24=1 if author=="Kimmel" & weeknumber==111
replace _Todaypos24=1 if author=="Lawson" & weeknumber==131
replace _Todaypos24=1 if author=="Lively" & weeknumber==193
replace _Todaypos24=1 if author=="MacDonald" & weeknumber==178
replace _Todaypos24=1 if author=="McGhee" & weeknumber==161
replace _Todaypos24=1 if author=="Moore" & weeknumber==211
replace _Todaypos24=1 if author=="Packer" & weeknumber==147
replace _Todaypos24=1 if author=="Cisneros" & weeknumber==139

gen _Todaypos25=author=="Baker" & weeknumber==126
replace _Todaypos25=1 if author=="Bennett" & weeknumber==122
replace _Todaypos25=1 if author=="Blanchard" & weeknumber==184
replace _Todaypos25=1 if author=="Collins" & weeknumber==143
replace _Todaypos25=1 if author=="Danticat" & weeknumber==203
replace _Todaypos25=1 if author=="Datcher" & weeknumber==118
replace _Todaypos25=1 if author=="Greer" & weeknumber==198
replace _Todaypos25=1 if author=="Haddon" & weeknumber==160
replace _Todaypos25=1 if author=="Jones" & weeknumber==176
replace _Todaypos25=1 if author=="Kimmel" & weeknumber==112
replace _Todaypos25=1 if author=="Lawson" & weeknumber==132
replace _Todaypos25=1 if author=="Lively" & weeknumber==194
replace _Todaypos25=1 if author=="MacDonald" & weeknumber==179
replace _Todaypos25=1 if author=="McGhee" & weeknumber==162
replace _Todaypos25=1 if author=="Moore" & weeknumber==212
replace _Todaypos25=1 if author=="Packer" & weeknumber==148
replace _Todaypos25=1 if author=="Cisneros" & weeknumber==140

gen _Todaypos26=author=="Baker" & weeknumber==127
replace _Todaypos26=1 if author=="Bennett" & weeknumber==123
replace _Todaypos26=1 if author=="Blanchard" & weeknumber==185
replace _Todaypos26=1 if author=="Collins" & weeknumber==144
replace _Todaypos26=1 if author=="Danticat" & weeknumber==204
replace _Todaypos26=1 if author=="Datcher" & weeknumber==119
replace _Todaypos26=1 if author=="Greer" & weeknumber==199
replace _Todaypos26=1 if author=="Haddon" & weeknumber==161
replace _Todaypos26=1 if author=="Jones" & weeknumber==177
replace _Todaypos26=1 if author=="Kimmel" & weeknumber==113
replace _Todaypos26=1 if author=="Lawson" & weeknumber==133
replace _Todaypos26=1 if author=="Lively" & weeknumber==195
replace _Todaypos26=1 if author=="MacDonald" & weeknumber==180
replace _Todaypos26=1 if author=="McGhee" & weeknumber==163
replace _Todaypos26=1 if author=="Moore" & weeknumber==213
replace _Todaypos26=1 if author=="Packer" & weeknumber==149
replace _Todaypos26=1 if author=="Cisneros" & weeknumber==141


gen posttoday26=author=="Baker" & weeknumber>127
replace posttoday26=1 if author=="Bennett" & weeknumber>123
replace posttoday26=1 if author=="Blanchard" & weeknumber>185
replace posttoday26=1 if author=="Collins" & weeknumber>144
replace posttoday26=1 if author=="Danticat" & weeknumber>204
replace posttoday26=1 if author=="Datcher" & weeknumber>119
replace posttoday26=1 if author=="Greer" & weeknumber>199
replace posttoday26=1 if author=="Haddon" & weeknumber>161
replace posttoday26=1 if author=="Jones" & weeknumber>177
replace posttoday26=1 if author=="Kimmel" & weeknumber>113
replace posttoday26=1 if author=="Lawson" & weeknumber>133
replace posttoday26=1 if author=="Lively" & weeknumber>195
replace posttoday26=1 if author=="MacDonald" & weeknumber>180
replace posttoday26=1 if author=="McGhee" & weeknumber>163
replace posttoday26=1 if author=="Moore" & weeknumber>213
replace posttoday26=1 if author=="Packer" & weeknumber>149
replace posttoday26=1 if author=="Cisneros" & weeknumber>141




*********************************************************************************************
*** Weekly Codes for Aggregate Time Series Data, to be used on Genre and Aggregate Sale Weeks.
**********************************************************************************************

gen _oprah8=weeknumber==11
replace _oprah8=1 if weeknumber==24
replace _oprah8=1 if weeknumber==30
replace _oprah8=1 if weeknumber==45
replace _oprah8=1 if weeknumber==82
replace _oprah8=1 if weeknumber==98
replace _oprah8=1 if weeknumber==115
replace _oprah8=1 if weeknumber==168
replace _oprah8=1 if weeknumber==177
replace _oprah8=1 if weeknumber==187
replace _oprah8=1 if weeknumber==204
replace _oprah8=1 if weeknumber==210
replace _oprah8=1 if weeknumber==221
replace _oprah8=1 if weeknumber==254
replace _oprah8=1 if weeknumber==358
replace _oprah8=1 if weeknumber==370
replace _oprah8=0 if _oprah8==.

gen _oprah7=weeknumber==10
replace _oprah7=1 if weeknumber==23
replace _oprah7=1 if weeknumber==29
replace _oprah7=1 if weeknumber==44
replace _oprah7=1 if weeknumber==81
replace _oprah7=1 if weeknumber==97
replace _oprah7=1 if weeknumber==114
replace _oprah7=1 if weeknumber==167
replace _oprah7=1 if weeknumber==176
replace _oprah7=1 if weeknumber==186
replace _oprah7=1 if weeknumber==203
replace _oprah7=1 if weeknumber==209
replace _oprah7=1 if weeknumber==220
replace _oprah7=1 if weeknumber==253
replace _oprah7=1 if weeknumber==357
replace _oprah7=1 if weeknumber==369
replace _oprah7=0 if _oprah7==.

gen _oprah6=weeknumber==9
replace _oprah6=1 if weeknumber==22
replace _oprah6=1 if weeknumber==28
replace _oprah6=1 if weeknumber==43
replace _oprah6=1 if weeknumber==80
replace _oprah6=1 if weeknumber==96
replace _oprah6=1 if weeknumber==113
replace _oprah6=1 if weeknumber==166
replace _oprah6=1 if weeknumber==175
replace _oprah6=1 if weeknumber==185
replace _oprah6=1 if weeknumber==202
replace _oprah6=1 if weeknumber==210
replace _oprah6=1 if weeknumber==219
replace _oprah6=1 if weeknumber==252
replace _oprah6=1 if weeknumber==356
replace _oprah6=1 if weeknumber==368
replace _oprah6=0 if _oprah6==.

gen _oprah5=weeknumber==8
replace _oprah5=1 if weeknumber==21
replace _oprah5=1 if weeknumber==27
replace _oprah5=1 if weeknumber==42
replace _oprah5=1 if weeknumber==79
replace _oprah5=1 if weeknumber==95
replace _oprah5=1 if weeknumber==112
replace _oprah5=1 if weeknumber==165
replace _oprah5=1 if weeknumber==174
replace _oprah5=1 if weeknumber==184
replace _oprah5=1 if weeknumber==201
replace _oprah5=1 if weeknumber==209
replace _oprah5=1 if weeknumber==218
replace _oprah5=1 if weeknumber==251
replace _oprah5=1 if weeknumber==355
replace _oprah5=1 if weeknumber==367
replace _oprah5=0 if _oprah5==.

gen _oprah4=weeknumber==7
replace _oprah4=1 if weeknumber==20
replace _oprah4=1 if weeknumber==26
replace _oprah4=1 if weeknumber==41
replace _oprah4=1 if weeknumber==78
replace _oprah4=1 if weeknumber==94
replace _oprah4=1 if weeknumber==111
replace _oprah4=1 if weeknumber==164
replace _oprah4=1 if weeknumber==173
replace _oprah4=1 if weeknumber==183
replace _oprah4=1 if weeknumber==200
replace _oprah4=1 if weeknumber==208
replace _oprah4=1 if weeknumber==217
replace _oprah4=1 if weeknumber==250
replace _oprah4=1 if weeknumber==354
replace _oprah4=1 if weeknumber==366
replace _oprah4=0 if _oprah4==.

gen _oprah3=weeknumber==6
replace _oprah3=1 if weeknumber==19
replace _oprah3=1 if weeknumber==25
replace _oprah3=1 if weeknumber==40
replace _oprah3=1 if weeknumber==77
replace _oprah3=1 if weeknumber==93
replace _oprah3=1 if weeknumber==110
replace _oprah3=1 if weeknumber==163
replace _oprah3=1 if weeknumber==172
replace _oprah3=1 if weeknumber==182
replace _oprah3=1 if weeknumber==199
replace _oprah3=1 if weeknumber==207
replace _oprah3=1 if weeknumber==216
replace _oprah3=1 if weeknumber==249
replace _oprah3=1 if weeknumber==353
replace _oprah3=1 if weeknumber==365
replace _oprah3=0 if _oprah3==.

gen _oprah2=weeknumber==5
replace _oprah2=1 if weeknumber==18
replace _oprah2=1 if weeknumber==24
replace _oprah2=1 if weeknumber==39
replace _oprah2=1 if weeknumber==76
replace _oprah2=1 if weeknumber==92
replace _oprah2=1 if weeknumber==109
replace _oprah2=1 if weeknumber==162
replace _oprah2=1 if weeknumber==171
replace _oprah2=1 if weeknumber==181
replace _oprah2=1 if weeknumber==198
replace _oprah2=1 if weeknumber==206
replace _oprah2=1 if weeknumber==215
replace _oprah2=1 if weeknumber==248
replace _oprah2=1 if weeknumber==352
replace _oprah2=1 if weeknumber==364
replace _oprah2=0 if _oprah2==.

gen _oprah1=weeknumber==4
replace _oprah1=1 if weeknumber==17
replace _oprah1=1 if weeknumber==23
replace _oprah1=1 if weeknumber==38
replace _oprah1=1 if weeknumber==75
replace _oprah1=1 if weeknumber==91
replace _oprah1=1 if weeknumber==108
replace _oprah1=1 if weeknumber==161
replace _oprah1=1 if weeknumber==170
replace _oprah1=1 if weeknumber==180
replace _oprah1=1 if weeknumber==197
replace _oprah1=1 if weeknumber==205
replace _oprah1=1 if weeknumber==214
replace _oprah1=1 if weeknumber==247
replace _oprah1=1 if weeknumber==351
replace _oprah1=1 if weeknumber==363
replace _oprah1=0 if _oprah1==.


gen _oprahneg1=weeknumber==3
replace _oprahneg1=1 if weeknumber==16
replace _oprahneg1=1 if weeknumber==22
replace _oprahneg1=1 if weeknumber==37
replace _oprahneg1=1 if weeknumber==74
replace _oprahneg1=1 if weeknumber==90
replace _oprahneg1=1 if weeknumber==107
replace _oprahneg1=1 if weeknumber==160
replace _oprahneg1=1 if weeknumber==169
replace _oprahneg1=1 if weeknumber==179
replace _oprahneg1=1 if weeknumber==196
replace _oprahneg1=1 if weeknumber==204
replace _oprahneg1=1 if weeknumber==213
replace _oprahneg1=1 if weeknumber==246
replace _oprahneg1=1 if weeknumber==350
replace _oprahneg1=1 if weeknumber==362
replace _oprahneg1=0 if _oprahneg1==.


gen _oprahneg2=weeknumber==2
replace _oprahneg2=1 if weeknumber==15
replace _oprahneg2=1 if weeknumber==21
replace _oprahneg2=1 if weeknumber==36
replace _oprahneg2=1 if weeknumber==73
replace _oprahneg2=1 if weeknumber==89
replace _oprahneg2=1 if weeknumber==106
replace _oprahneg2=1 if weeknumber==159
replace _oprahneg2=1 if weeknumber==168
replace _oprahneg2=1 if weeknumber==178
replace _oprahneg2=1 if weeknumber==195
replace _oprahneg2=1 if weeknumber==203
replace _oprahneg2=1 if weeknumber==212
replace _oprahneg2=1 if weeknumber==245
replace _oprahneg2=1 if weeknumber==349
replace _oprahneg2=1 if weeknumber==361
replace _oprahneg2=0 if _oprahneg2==.


gen _oprahneg3=weeknumber==1
replace _oprahneg3=1 if weeknumber==14
replace _oprahneg3=1 if weeknumber==20
replace _oprahneg3=1 if weeknumber==35
replace _oprahneg3=1 if weeknumber==72
replace _oprahneg3=1 if weeknumber==88
replace _oprahneg3=1 if weeknumber==105
replace _oprahneg3=1 if weeknumber==158
replace _oprahneg3=1 if weeknumber==167
replace _oprahneg3=1 if weeknumber==177
replace _oprahneg3=1 if weeknumber==194
replace _oprahneg3=1 if weeknumber==202
replace _oprahneg3=1 if weeknumber==211
replace _oprahneg3=1 if weeknumber==244
replace _oprahneg3=1 if weeknumber==348
replace _oprahneg3=1 if weeknumber==360
replace _oprahneg3=0 if _oprahneg3==.


gen _oprahneg4=weeknumber==0
replace _oprahneg4=1 if weeknumber==13
replace _oprahneg4=1 if weeknumber==19
replace _oprahneg4=1 if weeknumber==34
replace _oprahneg4=1 if weeknumber==71
replace _oprahneg4=1 if weeknumber==87
replace _oprahneg4=1 if weeknumber==104
replace _oprahneg4=1 if weeknumber==157
replace _oprahneg4=1 if weeknumber==166
replace _oprahneg4=1 if weeknumber==176
replace _oprahneg4=1 if weeknumber==193
replace _oprahneg4=1 if weeknumber==201
replace _oprahneg4=1 if weeknumber==210
replace _oprahneg4=1 if weeknumber==243
replace _oprahneg4=1 if weeknumber==347
replace _oprahneg4=1 if weeknumber==359
replace _oprahneg4=0 if _oprahneg4==.




gen _oprahneg5=weeknumber==12
replace _oprahneg5=1 if weeknumber==18
replace _oprahneg5=1 if weeknumber==33
replace _oprahneg5=1 if weeknumber==70
replace _oprahneg5=1 if weeknumber==86
replace _oprahneg5=1 if weeknumber==103
replace _oprahneg5=1 if weeknumber==156
replace _oprahneg5=1 if weeknumber==165
replace _oprahneg5=1 if weeknumber==175
replace _oprahneg5=1 if weeknumber==192
replace _oprahneg5=1 if weeknumber==200
replace _oprahneg5=1 if weeknumber==209
replace _oprahneg5=1 if weeknumber==242
replace _oprahneg5=1 if weeknumber==346
replace _oprahneg5=1 if weeknumber==358
replace _oprahneg5=0 if _oprahneg5==.


gen _oprahneg6=weeknumber==11
replace _oprahneg6=1 if weeknumber==17
replace _oprahneg6=1 if weeknumber==32
replace _oprahneg6=1 if weeknumber==69
replace _oprahneg6=1 if weeknumber==85
replace _oprahneg6=1 if weeknumber==102
replace _oprahneg6=1 if weeknumber==155
replace _oprahneg6=1 if weeknumber==164
replace _oprahneg6=1 if weeknumber==174
replace _oprahneg6=1 if weeknumber==191
replace _oprahneg6=1 if weeknumber==199
replace _oprahneg6=1 if weeknumber==208
replace _oprahneg6=1 if weeknumber==241
replace _oprahneg6=1 if weeknumber==345
replace _oprahneg6=1 if weeknumber==357
replace _oprahneg6=0 if _oprahneg6==.

gen _oprahneg7=weeknumber==10
replace _oprahneg7=1 if weeknumber==16
replace _oprahneg7=1 if weeknumber==31
replace _oprahneg7=1 if weeknumber==68
replace _oprahneg7=1 if weeknumber==84
replace _oprahneg7=1 if weeknumber==101
replace _oprahneg7=1 if weeknumber==154
replace _oprahneg7=1 if weeknumber==163
replace _oprahneg7=1 if weeknumber==173
replace _oprahneg7=1 if weeknumber==190
replace _oprahneg7=1 if weeknumber==198
replace _oprahneg7=1 if weeknumber==207
replace _oprahneg7=1 if weeknumber==240
replace _oprahneg7=1 if weeknumber==344
replace _oprahneg7=1 if weeknumber==356
replace _oprahneg7=0 if _oprahneg7==.

gen _oprahneg8=weeknumber==9
replace _oprahneg8=1 if weeknumber==15
replace _oprahneg8=1 if weeknumber==30
replace _oprahneg8=1 if weeknumber==67
replace _oprahneg8=1 if weeknumber==83
replace _oprahneg8=1 if weeknumber==100
replace _oprahneg8=1 if weeknumber==153
replace _oprahneg8=1 if weeknumber==162
replace _oprahneg8=1 if weeknumber==172
replace _oprahneg8=1 if weeknumber==189
replace _oprahneg8=1 if weeknumber==197
replace _oprahneg8=1 if weeknumber==206
replace _oprahneg8=1 if weeknumber==239
replace _oprahneg8=1 if weeknumber==343
replace _oprahneg8=1 if weeknumber==355
replace _oprahneg8=0 if _oprahneg8==.


* Generate an 8 week indicator for being an Oprah Book selection time period
gen oprah8=1 if weeknumber>=4 & weeknumber<=11
replace oprah8=1 if weeknumber>=17 & weeknumber<=24
replace oprah8=1 if weeknumber>=22 & weeknumber<=29
replace oprah8=1 if weeknumber>=38 & weeknumber<=45
replace oprah8=1 if weeknumber>=75 & weeknumber<=82
replace oprah8=1 if weeknumber>=87 & weeknumber<=94
replace oprah8=1 if weeknumber>=107 & weeknumber<=114
replace oprah8=1 if weeknumber>=161 & weeknumber<=168
replace oprah8=1 if weeknumber>=170 & weeknumber<=177
replace oprah8=1 if weeknumber>=180 & weeknumber<=187
replace oprah8=1 if weeknumber>=197 & weeknumber<=204
replace oprah8=1 if weeknumber>=203 & weeknumber<=210
replace oprah8=1 if weeknumber>=214 & weeknumber<=221
replace oprah8=1 if weeknumber>=247 & weeknumber<=254
replace oprah8=1 if weeknumber>=351 & weeknumber<=358
replace oprah8=1 if weeknumber>=363 & weeknumber<=370
replace oprah8=0 if oprah8==.


* Generate 8 week effect by classics status
gen oprahclassics8=1 if weeknumber>=17 & weeknumber<=24
replace oprahclassics8=1 if weeknumber>=22 & weeknumber<=29
replace oprahclassics8=1 if weeknumber>=38 & weeknumber<=45
replace oprahclassics8=1 if weeknumber>=363 & weeknumber<=370
replace oprahclassics8=0 if oprahclassics8==.

gen oprahnonclassics8=1 if oprah8==1 & oprahclassics==0

****************************************
*** Generate Main Figures Results
*****************************************


* Figure 1
* Load Oprah Book Sales Data
use OprahBooks.dta, clear
xtreg lnsales _O* _I* week if author~="Follett" & postoprah26==0, fe robust 


* Figure 2
* Load Today Show Book Sales Data
use TodayBooks.dta, clear
xtreg ln_sales today _T* _I* week if posttoday26==0, fe robust

* Figure 3
* Load Oprah Spillover Data
use Oprah_Spillover, clear
xtreg lnsales _O* _I* week if author~="Follett" & author~="Marquez" & postoprah26==0, robust cluster(title)

*Figure 4
use Oprah_Spillover, clear
xtreg lnsales oprah8lnpre oprah8lnpre2 _I* if author~="Follett", robust cluster(title)

* Figure 5
use OprahBooks.dta, clear
xtreg lnsales oprah8lnpre oprah8lnpre2 _I* if book~="Follett" & postoprah26==0, fe robust 

* Figure 6
use Today_Spillover.dta, clear
xtreg ln_sales today _T* _I* week if posttoday26==0, fe robust


* Figure 7
use MainAggregate.dta

newey lnadultfiction  _oprahneg8 _oprahneg7 _oprahneg6 _oprahneg5 _oprahneg4 _oprahneg3 _oprahneg2 _oprahneg1 _oprah1 _oprah2 _oprah3 _oprah4 _oprah5 _oprah6 _oprah7 _oprah8 _oprah9 _I*, lag(4)
newey lnadultfictionnooprah  _oprahneg8 _oprahneg7 _oprahneg6 _oprahneg5 _oprahneg4 _oprahneg3 _oprahneg2 _oprahneg1 _oprah1 _oprah2 _oprah3 _oprah4 _oprah5 _oprah6 _oprah7 _oprah8 _oprah9 _I*, lag(4)

* Generate Results for Table 2 from the Main Aggregtae Data

newey  lnadultfiction oprah8 _I*, lag(4) 
newey  lnclassics oprah8 _I*,  lag(4)
newey  lnsuspense oprah8 _I*,  lag(4)
newey  lnwestern oprah8 _I*, lag(4)
newey  lnsciencefiction oprah8 _I*, lag(4)
newey  lnreligion oprah8 _I*, lag(4)
newey  lnfantasy oprah8 _I*, lag(4)
newey  lnromance oprah8 _I*, lag(4)
newey  lnmystery oprah8 _I*, lag(4) 
newey  lnaction oprah8 _I*, lag(4)
newey  lngeneralfiction oprah8 _I*, lag(4)

newey  lnadultfiction oprahclassics8 oprahnonclassics8 _I*, lag(4) 
newey  lnclassics oprahclassics8 oprahnonclassics8 _I*,  lag(4)
newey  lnsuspense oprahclassics8 oprahnonclassics8 _I*,  lag(4)
newey  lnwestern oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lnsciencefiction oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lnreligion oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lnfantasy oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lnromance oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lnmystery oprahclassics8 oprahnonclassics8 _I*, lag(4) 
newey  lnaction oprahclassics8 oprahnonclassics8 _I*, lag(4)
newey  lngeneralfiction oprahclassics8 oprahnonclassics8 _I*, lag(4)

*Figure 8
use GenreAggregate.dta

newey lnmystactrom  _oprahneg8 _oprahneg7 _oprahneg6 _oprahneg5 _oprahneg4 _oprahneg3 _oprahneg2 _oprahneg1 _oprah1 _oprah2 _oprah3 _oprah4 _oprah5 _oprah6 _oprah7 _oprah8 _oprah9 _I*, lag(4)
newey lnclassic  _oprahneg8 _oprahneg7 _oprahneg6 _oprahneg5 _oprahneg4 _oprahneg3 _oprahneg2 _oprahneg1 _oprah1 _oprah2 _oprah3 _oprah4 _oprah5 _oprah6 _oprah7 _oprah8 _oprah9 _I*, lag(4)
newey lnmwestern  _oprahneg8 _oprahneg7 _oprahneg6 _oprahneg5 _oprahneg4 _oprahneg3 _oprahneg2 _oprahneg1 _oprah1 _oprah2 _oprah3 _oprah4 _oprah5 _oprah6 _oprah7 _oprah8 _oprah9 _I*, lag(4)













